commit 2fef1a65b6c5cae777092cc0dbb66aec1573d3e2
Author: Michael Dickens <michaelld@macports.org>
Date:   Fri Mar 17 19:49:12 2017 -0400

    libarchive: add patch to fix build on older Mac OS X
    
    Addresses ticket https://trac.macports.org/ticket/53712

diff --git a/archivers/libarchive/Portfile b/archivers/libarchive/Portfile
index 3678221b87..0c1f098326 100644
--- a/archivers/libarchive/Portfile
+++ b/archivers/libarchive/Portfile
@@ -25,9 +25,27 @@ depends_lib      port:bzip2 port:zlib port:libxml2 port:xz \
 
 patchfiles       patch-libarchive__archive_read_support_format_lha.c.diff
 
+####
+# the following section is to be removed when 3.3.2 is released. it is
+# a temporary fix for older Mac OS X versions, and is already upstream.
+
+revision         1
+
+patchfiles-append \
+                 patch-3.3.1_to_master.diff \
+                 patch-Makefile.am.diff
+
+depends_build    port:autoconf port:automake port:libtool
+
+post-patch {
+    system -W ${worksrcpath} "build/autogen.sh"
+}
+
+####
+
 configure.args   --enable-bsdtar=shared --enable-bsdcpio=shared \
                  --disable-silent-rules --without-nettle \
-                 --without-openssl --without-lzmadec
+                 --without-openssl
 
 livecheck.type  regex
 livecheck.regex libarchive-(\[0-9.\]+)\\.tar.gz
